
#include "includes.h"
#include "installergui_data.h"

/********************************************************************
 *
 *  DESCRIPTION
 *
 */

/********************************************************************
 *
 *  STATIC
 *
 */

/********************************************************************
 *
 *  EXTERN
 *
 */

/********************************************************************
 *
 *  PUBLIC
 *
 */

/********************************************************************
 *
 *  CODE
 *
 */

long __asm igui_Confirm(register __a0 APTR application,
                        register __a1 struct FunctionEnvironment *localenv)
{
  #ifdef DEBUG
  DEBUG_MAKRO
  #endif

  {
    struct Application *app = (struct Application *) application;

    // in case of an error return 1
    long val = 1,
         event;

    APTR obj = GroupObject,
                 Child, HVSpace,
                 Child, TextObject,
                   MUIA_Frame, MUIV_Frame_None,
                   MUIA_Text_Contents, localenv->fe_Prompt,
                   MUIA_Text_SetMin, TRUE,
                   MUIA_Text_PreParse, "\33c",
                 End,
                 Child, HVSpace,
               End;

    // set the help text
    igui_SetHelp(app, (char *) localenv->fe_Help);

    //
    if (guistuff_NewContent(app, obj))
    {
      // rename the "cancel" button to "skip this part"
      igui_NameCancel(app, app->app_Texts[BUTTON_SKIP]);

      // wait, until the user "proceeds", "skips" or confirms the "quit" action
      do
      {
        event = igui_QuietWaitApp(app);

        if      (event == GUIEVENT_PROCEED) { val = 1; break; }
        else if (event == GUIEVENT_ABORT)   { val = 0; break; }
      }
      while (guistuff_HandleGUIEvent(app, event));

      // restore the "cancel" button
      igui_NameCancel(app, app->app_Texts[BUTTON_PROCEED_INSTALL]);
    }

    igui_EmptyPanel(app);
    return(val);
  }
}

